:root {
    --color-bg: #FFFFFF;
    --color-mg: #758173;
    --color-fg: #252A41;
    --color-primary: #00B8B5;
    --color-secondary: #CF7CDF;
}

* {
    box-sizing: border-box;
}

html, body {
    padding: 0;
    margin: 0;
    width: 100%;
    min-height: 100%;
}
html {
    background: var(--color-bg);
    background: linear-gradient(180deg, var(--color-primary) -100%, var(--color-bg) 200%);
    color: var(--color-fg);
    font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans", Arial, sans-serif;
    font-size: 16px;
    overflow: scroll;
}
body {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: auto;
    padding: 5rem 1rem;
    width: 100%;
    max-width: 900px;
}

h2 {
    margin-right: 3rem;
    color: var(--color-bg);
}

table {
    margin-top: 1rem;
    margin-bottom: 3rem;
    width: 100%;
    font-size: 0.9rem;
    border-spacing: 2px;
    overflow: hidden;
}
table th, table td {
    padding: 0.5rem 0.75rem;
    background-color: var(--color-bg);
    font-weight: normal;
    text-align: left;
}
table th:first-child,
table td:first-child {
    text-align: center;
}
table input {
    padding: 0.45rem;
    background-color: inherit;
    color: inherit;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 3px;
    font-family: inherit;
    font-size: inherit;
    text-align: inherit;
    outline: none;
}
table input:hover,
table input:active,
table input:focus {
    border-color: var(--color-mg);
}
table th input {
    font-weight: 600;
}

section {
    display: flex;
    align-items: center;
}
section > *:not(:last-child) {
    margin-right: 1rem;
}
section > span {
    margin-right: 2rem !important;
    color: var(--color-mg);
}
section > div,
section > button {
    background-color: var(--color-mg);
    color: var(--color-bg);
    border: none;
    border-radius: 6px;
}
section > div {
    cursor: default;
    padding: 12px 20px;
    opacity: 0.65;
}
section > div:last-of-type {
    background-color: var(--color-secondary);
    border-radius: 3px;
}
section.s > div {
    padding: 6px 10px;
    font-size: 0.9em;
}
section > button {
    cursor: pointer;
    padding: 6px 10px;
}